Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

Angular File Upload or Material File Upload is a component for uploading one or multiple files, images, documents, audio, video, and other files to a server. It is an improved version of the HTML5 upload component (<input type="file">) with a rich set of features that include multiple file selection, progress bars, auto-uploading, drag and drop, folder (directory) uploading, file validation, and more.


Why choose Syncfusion Essential Studio® Angular File Upload?

Angular Multiple File Upload.

Multiple-file upload

Select multiple files and upload them to a server at the same time. This is useful for uploading images to a gallery and for file-sharing applications. 

Angular File Upload drag and drop.

Drag and drop

Upload multiple files by simply dragging them from the file explorer to the drop area (drop zone), which is a more user-friendly way to select and upload multiple files. 

Folder upload in Angular File Upload.

Folder upload

Accepts a folder (directory) as a file source for uploading all the files (including subfolders) of the selected folder.

Angular File Upload AJAX File Uploader.

AJAX file uploader

Using the AJAX library, the Angular File Upload component easily uploads files in asynchronous mode.

Angular File Upload utilize chunk upload for large files.

Utilize chunk upload for large files

Manage upload of large file uploads efficiently using chunk upload that slices a large file into smaller chunks and uploads to the server in a sequential order asynchronously.

Create your own template designs in Angular File Upload.

Create your own template designs

Allows users to create a custom UI in the Angular File Upload based on their application need using a wide range of template options.

Angular File Upload with attractive customizable themes.

Attractive customizable themes

Cutting edge design with 5+ built-in themes such as Fluent, Tailwind CSS, Bootstrap, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes of File Upload easily.

Globalization and localization in Angular File Upload.

Globalization and localization

Enables users from different locales to use the File Upload by formatting dates, currency, and numbering to suit their preferences.


Angular File Upload Code Example

Easily get started with the Angular File Upload using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular File Upload Example that shows you how to upload files in Angular.

  1. <div class="control-section">
  2. <div class="col-lg-9">
  3. <div class="control_wrapper">
  4. <ejs-uploader #defaultupload id='defaultfileupload' [asyncSettings]='path' [dropArea]='dropElement' (removing)='onFileRemove($event)'></ejs-uploader>
  5. </div>
  6. </div>
  7. </div>
  1. import { Component, ViewChild, ViewEncapsulation, Inject } from '@angular/core';
  2. import { EmitType, detach } from '@syncfusion/ej2-base';
  3. import { UploaderComponent, RemovingEventArgs } from '@syncfusion/ej2-angular-inputs';
  4. import { createSpinner, showSpinner, hideSpinner } from '@syncfusion/ej2-popups';
  5. @Component({
  6. selector: 'app-root',
  7. templateUrl: 'app.component.html',
  8. styleUrls: ['app.component.css'],
  9. encapsulation: ViewEncapsulation.None
  10. })
  11. export class AppComponent {
  12. @ViewChild('defaultupload')
  13. public uploadObj: UploaderComponent;
  14.  
  15. public path: Object = {
  16. saveUrl: 'https://ej2.syncfusion.com/services/api/uploadbox/Save',
  17. removeUrl: 'https://ej2.syncfusion.com/services/api/uploadbox/Remove'
  18. };
  19. public dropElement: HTMLElement = document.getElementsByClassName('control-fluid')[0] as HTMLElement;
  20. public onFileRemove(args: RemovingEventArgs): void {
  21. args.postRawFile = false;
  22. }
  23. constructor() {
  24. }
  25. }

Resumable upload

A built-in feature is available to pause, resume, retry, and cancel a file upload in Angular. This helps users upload high-resolution images, videos,and other large files safely. Additionally, it provides an option to pause and resume automatically based on server connection.

Angular File Upload with pause, resume, retry, and cancel.


Angular image upload with its preview thumbnails.

Upload images with previews

The Angular File Upload component allows you to upload images and resize images, show an image preview or thumbnail, etc. before uploading them.


Custom file upload button

The action buttons of the Angular File Upload component are completely customizable, including its file list, which helps create your own design for the File Upload UI.

Angular File Upload with customized buttons.


Angular File Upload validates file type.

File types (file extensions)

Upload various file types and limit the file types from client-side, which is mandatory before uploading a file to the web application.


File validation (filter)

Add validation to check file size limits with minimum and maximum ranges, number of files required, total size, and MIME type before uploading a file to a server.

Restrict file size in Angular File Upload.


Angular File Upload process images from clipboard on paste.

Paste image to upload

The Angular File Upload component processes images from the clipboard. Copy and paste the images to be uploaded to a server.


Delete uploaded files

The Angular File Upload component provides a simple interface to delete the wrongly uploaded files from a server.

Remove the uploaded files in Angular File Upload.


Angular File Upload preload uploaded files.

Preload uploaded files

Users can configure previously uploaded files from the server. This is useful to view and remove files from the server.


Auto-upload

Initiate an automatic upload to upload files immediately upon adding them to the upload queue.

Angular File Upload with automatic upload.


Angular File Upload with progress bar.

Progress bar

The File Upload component in Angular displays a built-in progress bar (progress indicator) with the progress percentage during each file upload. The Uploader Progressbar is completely customizable.


Right-to-left (RTL)

The Angular File Upload component supports right-to-left rendering, which improves the user experience and accessibility for those who use RTL languages.

Angular File Upload with right-to-left mode.


Additional parameters

The Angular File Upload component allows you to pass additional parameters along with an upload request as an HTTP header or custom parameters.

Angular standard forms

The Angular File Uploader seamlessly works with Angular standard template-driven forms, reactive forms, and native HTML forms.


Angular File Upload covers web accessibility.

Web accessibility

  • Fully supports WAI-ARIA accessibility, which allows the Angular File Upload component to be accessed by on-screen readers and assistive devices.
  • Follows the WAI-ARIA Best Practices for implementing keyboard interaction.
  • The UI element visuals, such as foreground color, background color, line spacing, text, and images, were designed based on the WCAG 2.0 standard.

Angular File Upload works well in touch devices.

Touch support

The Angular File Upload component provides the best user experience across phone, tablet, and desktop form factors.


Angular version compatibility

With continuous improvement in Angular versions, the Angular File Upload is kept up to date to make it compatible with versions starting from 7 to the latest version.

Angular File Upload version compatibility.

Other supported frameworks

The File Upload is available for the Blazor, React, JavaScript, and Vue frameworks. Explore its platform-specific options through the following links:

Supported browsers

The Angular File Upload works well with all modern web browsers, including Chrome, Firefox, Edge, Safari, and Opera.

Supported browsers in Angular File Upload.

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • Extended version of the HTML5 file upload with a progress bar and flexible UI file list.
  • Angular multiple-file upload with form support, drag and drop, progress bar, folder upload, and more.
  • Large file upload with pause, resume, retry, and cancel options using chunking.
  • One of the best Angular File Upload in the market that offers feature-rich UI to interact with the software.
  • Completely customizable using templates.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Angular File Upload.

We do not sell the Angular File Upload separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular File Upload. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular File Upload demo, which demonstrates how to render and configure the File Upload.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular File Upload, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their File Upload component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

The React File Upload is a component for uploading one or multiple files, images, documents, audio, video, and other files to a server. It is an improved version of the HTML5 upload component (<input type="file">
) with a rich set of features that include multiple file selection, progress bars, auto-uploading, drag and drop, folder (directory) uploading, file validation, and more.
Select multiple files and upload them to a server at the same time. This is useful for uploading images to a gallery and for file-sharing applications.
Upload multiple files by simply dragging them from the file explorer to the drop area (drop zone), which is a more user-friendly way to select and upload multiple files.
Accepts a folder (directory) as a file source for uploading all the files (including subfolders) of the selected folder.
Using the AJAX library, the React File Upload component easily uploads files in asynchronous mode.
Manage upload of large file uploads efficiently using chunk upload that slices a large file into smaller chunks and uploads to the server in a sequential order asynchronously.
Allows users to create a custom UI in the React File Upload based on their application need using a wide range of template options.
Cutting edge design with 5+ built-in themes such as Fluent, Tailwind CSS, Bootstrap, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes of File Upload easily.
Enables users from different locales to use the File Upload by formatting dates, currency, and numbering to suit their preferences.
Easily get started with the React File Upload using a few simple lines of TSX code example as demonstrated below. Also explore our React File Upload Example that shows you how to upload files in React.
- import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
- import * as React from 'react';
- import * as ReactDOM from "react-dom";
-
- export default class App extends React.Component<{}, {}> {
- public render(){
- return (
- <UploaderComponent />
- );
- }
- }
-
- ReactDOM.render(<App />, document.getElementById('fileupload'));
A built-in feature is available to pause, resume, retry, and cancel a file upload. This helps users upload high-resolution images, videos,and other large files safely. Additionally, it provides an option to pause and resume automatically based on server connection.
The React File Upload component allows you to upload images and resize images, show an image preview or thumbnail, etc. before uploading them.
The action buttons of the React File Upload component are completely customizable, including its file list, which helps create your own design for the file upload UI.
Upload various file types and limit the file types from client-side, which is mandatory before uploading a file to the web application.
Add validation to check file size limits with minimum and maximum ranges, number of files required, total size, and MIME type before uploading a file to a server.
The React File Upload component processes images from the clipboard, also. Simply copy and paste the images to be uploaded to a server.
The React File Upload component provides a simple interface to delete the wrongly uploaded files from a server.
Users can configure previously uploaded files from the server. This is useful to view and remove files from the server.
Initiate an automatic upload to upload files immediately upon adding them to the upload queue.
The React File Upload component displays a built-in progress bar (progress indicator) with the progress percentage during each file upload. The bar is completely customizable.
The React File Upload component supports right-to-left rendering, which improves the user experience and accessibility for those who use RTL languages.
The React File Upload component allows you to pass additional parameters along with an upload request as an HTTP header or custom parameters.
The React File Uploader control has form support (synchronous mode) to work with native HTML forms.
Fully supports WAI-ARIA accessibility, which allows the React File Upload component to be accessed by on-screen readers and assistive devices.
Follows the WAI-ARIA Best Practices for implementing keyboard interaction.
The UI element visuals, such as foreground color, background color, line spacing, text, and images, were designed based on the WCAG 2.0 standard.
The File Upload in React provides the best user experience across phone, tablet, and desktop form factors.
The File Upload component is available for the Blazor, Angular, JavaScript, and Vue frameworks. Explore its platform-specific options through the following links:
The React File Upload works well with all modern web browsers, including Chrome, Firefox, Edge, Safari, and Opera.
The Syncfusion’s React File Upload offers the below features:
We do not sell the React File Upload separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React File Upload. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.
You can find our React File Upload demo, which demonstrates how to render and configure the File Upload.
No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React File Upload, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their File Upload component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.
No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.
A good place to start would be our comprehensive getting started documentation.
Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.